From 2f06064e617cb149c25699f8ed345b6090532c5c Mon Sep 17 00:00:00 2001
From: Andrei Mikhailov <amkhlv@gmail.com>
Date: Tue, 4 Jun 2013 19:38:13 -0300
Subject: [PATCH] Symbol no-sidebar as a style for the main part of a document
 causes the HTML output to not include an ``on this page''
 margin box.

---
 collects/scribble/html-render.rkt        |    8 +++++---
 collects/scribblings/scribble/core.scrbl |    4 ++++
 2 files changed, 9 insertions(+), 3 deletions(-)

diff --git a/collects/scribble/html-render.rkt b/collects/scribble/html-render.rkt
index 7fdd473..3834734 100644
--- a/collects/scribble/html-render.rkt
+++ b/collects/scribble/html-render.rkt
@@ -514,9 +514,11 @@
               null
               ;; toc-wrap determines if we get the toc or just the title !!!
               `((div ([class "tocview"]) ,@(toc-content))))
-          ,@(render-onthispage-contents
-             d ri top (if (part-style? d 'no-toc) "tocview" "tocsub")
-             sub-parts-on-other-page?)
+          ,@(if (part-style? d 'no-sidebar)
+                null
+                (render-onthispage-contents
+                 d ri top (if (part-style? d 'no-toc) "tocview" "tocsub")
+                 sub-parts-on-other-page?))
           ,@(parameterize ([extra-breaking? #t])
               (append-map (lambda (e)
                             (let loop ([e e])
diff --git a/collects/scribblings/scribble/core.scrbl b/collects/scribblings/scribble/core.scrbl
index 09e7f8d..7085e3e 100644
--- a/collects/scribblings/scribble/core.scrbl
+++ b/collects/scribblings/scribble/core.scrbl
@@ -410,6 +410,10 @@ The recognized @tech{style properties} are as follows:
        multi-page documents) takes on the location and color of the
        main table of contents, instead.}
 
+ @item{@racket['no-sidebar] --- As a style for the main part of a
+       document, causes the HTML output to not include an ``on this 
+       page'' margin box.}
+
  @item{@racket[document-version] structure --- A version number for
        this part and its sub-parts (except as overridden). When it is
        not @racket[""] may be used when rendering a document; at a
-- 
1.7.10.4
